
#ifndef __leakybucket_h__
#define __leakybucket_h__

#include <packet.h>

class VCBuffer{

 public:
  VCBuffer(int vp,int vc) : vpi_(vp), vci_(vc) 
    { }
  int vpi() { return vpi_; }
  int vci() { return vci_; }
  int size() { return bucket_.size(); }
  void erase() { bucket_.erase(bucket_.begin()); }
  Packet *first() { return (Packet *)(*(bucket_.begin())); }
  void push_back(Packet *p) { bucket_.push_back(p); }

 private:
  int vpi_;
  int vci_;
  vector <Packet *> bucket_;
};

#endif
